﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Agilent DSO8xx04A (1 yr) VER IEEE /9500+1Hd,E8257D
DATE:                  2017-02-06 09:06:28
AUTHOR:                Fluke
REVISION:              $Revision: 18156 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       375
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         Agilent E4413A on channel 1
CONFIGURATION:         Agilent E8257D
STANDARD:              Agilent 11667B
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent DSO80804A, DSO81004A, DSO81204A, DSO81304A
#
#  Compatibility:
#         MET/CAL 7.11 SP1 (7.11j) or later
#
#  Source(s):
#        Agilent Model 80000 Series Infiniium Oscilloscopes Service Guide,
#         Part No. 54856-97001, May 2005
#
#  Additional Equipment Required:
#        Power Splitter, 2 resistor, DC to >= 18 GHz, Agilent 11667B or
#         equivalent
#        Adapter, 3.5 mm (f) SMA to Precision BNC, Agilent Part No.
#         54855-67604, No Substitute
#        Adapter, 3.5 mm (m) to 3.5 mm (m) SMA, Agilent Part No. E2655-83202
#         or equivalent
#        Coaxial cable, 3.5 mm (m) to 3.5 mm (m) SMA, DC to >= 18 GHz,
#         Agilent Part No. 8120-4948 or equivalent
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  9500         500MH                        100mVpp        LS    S  L
  1.004  SCPI         [@E8257]*RST
  1.005  STD          Agilent 11667B
  1.006  ENDIF

  1.007  CALL         Sub Copyright
  1.008  MATH         PUT("Req_METCAL_Version", "7.11j")
  1.009  CALL         Sub Check MET/CAL Version

  1.010  IF           GET("METCAL_Version_OK") != 1
  1.011  DISP         This procedure requires MET/CAL 7.11j or later.
  1.012  END
  1.013  ENDIF

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         30 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.016  DISP         operation. From the menu bar (using the mouse):
  1.016  DISP
  1.016  DISP         Select "Utilities", followed by "GPIB Setup..."
  1.016  DISP
  1.016  DISP         Note the UUT address. If this workstation is equipped
  1.016  DISP         with two GPIB cards, the address is unimportant, as
  1.016  DISP         long as it is not (0) zero. If, however, only 1 GPIB
  1.016  DISP         card is installed, the UUT address must not conflict
  1.016  DISP         with those of configured reference(s).
  1.016  DISP
  1.016  DISP         Select an appropriate address, as necessary.

  1.017  DISP         Connect the UUT to the workstation to the available
  1.017  DISP         IEEE-488 Port.

  1.018  SCPI         *RST
# Set Post-Test reset condition for UUT.
  1.019  RESET        *CLS[GTL]
# Set Post-Test reset condition for E8257D signal generator.
  1.020  RESET        [@E8257]OUTP:STAT OFF

  1.030  HEAD         UUT IDENTIFICATION
  1.031  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE
# Make sure correct UUT is connected.
  1.032  MATH         S[1] = GETV("Manufacturer"); S[2] = GETV("Model_Num")
  1.033  MATH         L[1] = ZCMPI("Agilent Technologies", S[1])
  1.034  MATH         L[2] = ZCMPI(S[7], S[2])

  1.035  IF           (L[1] && L[2]) == 0
  1.036  DISP         The UUT is an [S1] [S2],
  1.036  DISP         not an Agilent Technologies [S7]!
  1.037  END
  1.038  ENDIF

  1.039  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.040  CALL         Sub Pause on Failed Tests
  1.041  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.042  HEAD         EQUIPMENT REQUIRED
  1.043  DISP         The following additional equipment is required to
  1.043  DISP         facilitate the verification:
  1.043  DISP
  1.043  DISP         - Power Splitter, 2 resistor, DC to >= 18 GHz,
  1.043  DISP         [32] Agilent 11667B or equivalent
  1.043  DISP         - Adapter, 3.5 mm (f) SMA to Precision BNC, Agilent
  1.043  DISP         [32] Part No. 54855-67604, No Substitute
  1.043  DISP         - Adapter, 3.5 mm (m) to 3.5 mm (m) SMA, Agilent Part
  1.043  DISP         [32] No. E2655-83202 or equivalent
  1.043  DISP         - Coaxial cable, 3.5 mm (m) to 3.5 mm (m) SMA, DC to
  1.043  DISP         [32] >= 18 GHz, Agilent Part No. 8120-4948 or equivalent

  1.044  CALL         Sub Connector Precautions (3.5 mm)

  1.045  RSLT         =
  1.046  HEAD         SELF TEST
  1.047  TARGET
  1.048  DISP         Ensure nothing is connected to the UUT input
  1.048  DISP         channels at this time.
  1.048  DISP
  1.048  DISP         NOTE: Self-Test takes approximately 5 minutes
  1.048  DISP         [32]     to complete.
  1.049  SCPI         [T300000]*TST?[I]
  1.050  EVAL   -e MEM == 0 : SELF TEST
  2.001  SCPI         *RST

  2.002  RSLT         =
  2.003  HEAD         {VERTICAL PERFORMANCE ACCURACY}
  2.004  MATH         PUT("Chan", 1)
  2.005  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  2.006  JMPL         CH2_OFFSET_ZERO

  2.007  EVAL   Increment step number

  3.001  LABEL        CH2_OFFSET_ZERO
  3.002  MATH         PUT("Chan", 2)
  3.003  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  3.004  JMPL         CH3_OFFSET_ZERO

  3.005  EVAL   Increment step number

  4.001  LABEL        CH3_OFFSET_ZERO
  4.002  MATH         PUT("Chan", 3)
  4.003  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  4.004  JMPL         CH4_OFFSET_ZERO

  4.005  EVAL   Increment step number

  5.001  LABEL        CH4_OFFSET_ZERO
  5.002  MATH         PUT("Chan", 4)
  5.003  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  5.004  JMPL         CH1_OFFSET_GAIN

  5.005  EVAL   Increment step number

  6.001  LABEL        CH1_OFFSET_GAIN
  6.002  HEAD         INSTRUMENT CONNECTIONS
  6.003  DISP         Make the following connections:
  6.003  DISP
  6.003  DISP         [32]       9500          to    UUT
  6.003  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 1

  6.004  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  6.005  DISP         The next routine operator intervention occurs
  6.005  DISP         in approximately 2 minutes...
  6.006  ELSE
  6.007  DISP         The next routine operator intervention occurs
  6.007  DISP         in approximately 19 minutes.
  6.008  ENDIF

  6.009  MATH         PUT("Chan", 1)
  6.010  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  6.011  JMPL         CH1_DCV_GAIN

  6.012  EVAL   Increment step number

  7.001  LABEL        CH2_OFFSET_GAIN
  7.002  HEAD         INSTRUMENT CONNECTIONS
  7.003  DISP         Make the following connections:
  7.003  DISP
  7.003  DISP         [32]       9500          to    UUT
  7.003  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 2

  7.004  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  7.005  DISP         The next routine operator intervention occurs
  7.005  DISP         in approximately 2 minutes...
  7.006  ELSE
  7.007  DISP         The next routine operator intervention occurs
  7.007  DISP         in approximately 19 minutes.
  7.008  ENDIF

  7.009  MATH         PUT("Chan", 2)
  7.010  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  7.011  JMPL         CH2_DCV_GAIN

  7.012  EVAL   Increment step number

  8.001  LABEL        CH3_OFFSET_GAIN
  8.002  HEAD         INSTRUMENT CONNECTIONS
  8.003  DISP         Make the following connections:
  8.003  DISP
  8.003  DISP         [32]       9500          to    UUT
  8.003  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 3

  8.004  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  8.005  DISP         The next routine operator intervention occurs
  8.005  DISP         in approximately 2 minutes...
  8.006  ELSE
  8.007  DISP         The next routine operator intervention occurs
  8.007  DISP         in approximately 19 minutes.
  8.008  ENDIF

  8.009  MATH         PUT("Chan", 3)
  8.010  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  8.011  JMPL         CH3_DCV_GAIN

  8.012  EVAL   Increment step number

  9.001  LABEL        CH4_OFFSET_GAIN
  9.002  HEAD         INSTRUMENT CONNECTIONS
  9.003  DISP         Make the following connections:
  9.003  DISP
  9.003  DISP         [32]       9500          to    UUT
  9.003  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 4

  9.004  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  9.005  DISP         The next routine operator intervention occurs
  9.005  DISP         in approximately 2 minutes...
  9.006  ELSE
  9.007  DISP         The next routine operator intervention occurs
  9.007  DISP         in approximately 19 minutes.
  9.008  ENDIF

  9.009  MATH         PUT("Chan", 4)
  9.010  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  9.011  JMPL         CH4_DCV_GAIN

  9.012  EVAL   Increment step number

 10.001  LABEL        CH1_DCV_GAIN
 10.002  MATH         PUT("Chan", 1)
 10.003  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
 10.004  JMPL         CH2_OFFSET_GAIN

 10.005  EVAL   Increment step number

 11.001  LABEL        CH2_DCV_GAIN
 11.002  MATH         PUT("Chan", 2)
 11.003  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
 11.004  JMPL         CH3_OFFSET_GAIN

 11.005  EVAL   Increment step number

 12.001  LABEL        CH3_DCV_GAIN
 12.002  MATH         PUT("Chan", 3)
 12.003  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
 12.004  JMPL         CH4_OFFSET_GAIN

 12.005  EVAL   Increment step number

 13.001  LABEL        CH4_DCV_GAIN
 13.002  MATH         PUT("Chan", 4)
 13.003  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500

 13.004  DISP         Remove all connections.

 13.005  JMPL         CH1_BANDWIDTH

 13.006  EVAL   Increment step number

 14.001  LABEL        CH1_BANDWIDTH
 14.002  HEAD         ZERO/CAL POWER METER
 14.003  DISP         Connect the Agilent E4413A Power Sensor to the E4418B
 14.003  DISP         POWER REF via the Type N male to 3.5 female adapter
 14.003  DISP         (supplied with Power Sensor).

 14.004  M4418  F64   E4413A
 14.005  4418         1mW                          50MH              CP N  CH1

 14.006  PIC          dso8xxxx_bandwidth_e8257d.jpg

 14.007  IF           ZCMPI(GET("Meas_Mode"), "TAR")
 14.008  DISP         The next routine operator intervention occurs
 14.008  DISP         in approximately 4 minutes...
 14.009  ELSE
 14.010  DISP         The next routine operator intervention occurs
 14.010  DISP         in approximately 12 minutes.
 14.011  ENDIF

 14.012  MATH         PUT("Chan", 1)
 14.013  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /E8257D
 14.014  JMPL         CH2_BANDWIDTH

 14.015  EVAL   Increment step number

 15.001  LABEL        CH2_BANDWIDTH
 15.002  DISP         Move the connections from the UUT CH 1 to CH 2.

 15.003  IF           ZCMPI(GET("Meas_Mode"), "TAR")
 15.004  DISP         The next routine operator intervention occurs
 15.004  DISP         in approximately 4 minutes...
 15.005  ELSE
 15.006  DISP         The next routine operator intervention occurs
 15.006  DISP         in approximately 12 minutes.
 15.007  ENDIF

 15.008  MATH         PUT("Chan", 2)
 15.009  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /E8257D
 15.010  JMPL         CH3_BANDWIDTH

 15.011  EVAL   Increment step number

 16.001  LABEL        CH3_BANDWIDTH
 16.002  DISP         Move the connections from the UUT CH 2 to CH 3.

 16.003  IF           ZCMPI(GET("Meas_Mode"), "TAR")
 16.004  DISP         The next routine operator intervention occurs
 16.004  DISP         in approximately 4 minutes...
 16.005  ELSE
 16.006  DISP         The next routine operator intervention occurs
 16.006  DISP         in approximately 12 minutes.
 16.007  ENDIF

 16.008  MATH         PUT("Chan", 3)
 16.009  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /E8257D
 16.010  JMPL         CH4_BANDWIDTH

 16.011  EVAL   Increment step number

 17.001  LABEL        CH4_BANDWIDTH
 17.002  DISP         Move the connections from the UUT CH 3 to CH 4.

 17.003  IF           ZCMPI(GET("Meas_Mode"), "TAR")
 17.004  DISP         The next routine operator intervention occurs
 17.004  DISP         in approximately 4 minutes...
 17.005  ELSE
 17.006  DISP         The next routine operator intervention occurs
 17.006  DISP         in approximately 12 minutes.
 17.007  ENDIF

 17.008  MATH         PUT("Chan", 4)
 17.009  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /E8257D

 17.010  DISP         V E R I F I C A T I O N  C O M P L E T E!
 17.011  END
